import { z } from 'zod';

export const createNetworkSchema = z.object({
  name: z.string().min(1),
  code: z.string().min(1),
  addressType: z.string().min(1),
  thumbnail: z.string().nullable().optional(),
  explorer: z.string().url(),
  chainId: z.number().int().nullable().optional(),
  status: z.enum(['active', 'inactive', 'deprecated']).default('active'),
  mcap: z.number().nullable().optional(),
});

export type CreateNetworkInput = z.infer<typeof createNetworkSchema>;
